Subject: bug#9571: 24.0.50; user option to turn off bidi, please

From: Eli Zaretskii <[email-masked]>
Date: Fri, 23 Sep 2011 12:13:47 +0300

> Date: Thu, 22 Sep 2011 17:44:39 -0400
> From: Richard Stallman <[email-masked]>
> Cc: [email-masked]
> 
> One use for a feature to disable bidi display
> is to figure out what's really present in some strange piece of text.

Bidi display does not change the characters on display or in the
buffer in any way.  So it will neither help nor prevent you to figure
out what's in the text.

As Stefan pointed out, find-file-literally has the effect of
automatically disabling bidi display (because the bidi reordering is
only done in multibyte buffers), so the same Emacs feature generally
used for figuring out what's in some strange text also inhibits the
bidi display, without any need for the user to do anything.